org.eclipse.wst.jsdt.ui

## Interface IDocumentationReader

    public interface IDocumentationReader

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves. Implementors of this interface retrieve raw and formatted documentation for specific JavaScript elements

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `appliesTo(ILocalVariable declaration)`
`boolean` `appliesTo(IMember member)`
`java.io.Reader` `getContentReader(ILocalVariable declaration, boolean allowInherited)`
`java.io.Reader` `getContentReader(IMember member, boolean allowInherited)`
`java.io.Reader` `getDocumentation2HTMLReader(java.io.Reader contentReader)`

### Method Detail

#### appliesTo

    boolean appliesTo(IMember member)

#### appliesTo

    boolean appliesTo(ILocalVariable declaration)

#### getDocumentation2HTMLReader

    java.io.Reader getDocumentation2HTMLReader(java.io.Reader contentReader)

#### getContentReader

    java.io.Reader getContentReader(IMember member,
                                    boolean allowInherited)
                             throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### getContentReader

    java.io.Reader getContentReader(ILocalVariable declaration,
                                    boolean allowInherited)
                             throws JavaScriptModelException

Throws:
  `JavaScriptModelException`